Package org.apache.ignite.internal.processors.cache.query

## Class GridCacheQueryManager.QueryResult<K,​V>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<IgniteSpiCloseableIterator<R>>
  - - org.apache.ignite.internal.processors.cache.query.GridCacheQueryManager.QueryResult<K,​V>

All Implemented Interfaces:
  `IgniteInternalFuture<IgniteSpiCloseableIterator<IgniteBiTuple<K,​V>>>`

Enclosing class:
  GridCacheQueryManager<K,​V>

    public static class GridCacheQueryManager.QueryResult<K,​V>
    extends GridFutureAdapter<IgniteSpiCloseableIterator<R>>

### Method Summary

All Methods Instance Methods Concrete Methods
`IndexQueryResultMeta` `metadata()`
`void` `metadata​(IndexQueryResultMeta metadata)`
`boolean` `onDone​(@Nullable IgniteSpiCloseableIterator<IgniteBiTuple<K,​V>> res, @Nullable Throwable err)` Callback to notify that future is finished.
`void` `onPageSend()` Callback to invoke, when next data page was delivered to user.
`GridCacheQueryType` `type()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, chain, chain, chainCompose, chainCompose, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, listen, logger, onCancelled, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### type

    public GridCacheQueryType type()

Returns:
  Type.

#### metadata

    public IndexQueryResultMeta metadata()

#### metadata

    public void metadata​(IndexQueryResultMeta metadata)

#### onPageSend

    public void onPageSend()

Callback to invoke, when next data page was delivered to user.

#### onDone

    public boolean onDone​(@Nullable
                          @Nullable IgniteSpiCloseableIterator<IgniteBiTuple<K,​V>> res,
                          @Nullable
                          @Nullable Throwable err)

Callback to notify that future is finished. Note that if non-`null` exception is passed in the result value will be ignored.

Parameters:
  `res` - Optional result.
  `err` - Optional error.
Returns:
  `True` if result was set by this call.